import request from "@/utils/request";

export default {
  getTypeIdData(data) {
    return request({
      url: "/system-boot/dictData/getTypeIdData",
      method: "post",
      data: data,
    });
  },
  getIntegritydata(data) {
    return request({
      url: "/harmonic-boot/harmonic/getIntegrityData",
      method: "post",
      data: data,
    });
  },
  getAreaDept() {
    return request({
      url: "/user-boot/dept/loginDeptTree",
      method: "post",
    });
  },
  integrityData(data) {
    return request({
      //url: '/harmonic-boot/integrity/getIntegrityData',
      url: "/device-boot/LineIntegrityData/getLineIntegrityData",
      method: "post",
      data: data,
    });
  },

  //在线率列表 查詢
  getOnlineRateData(data) {
    return request({
      url: "/device-boot/terminalOnlineRateData/getOnlineRateData",
      method: "post",
      data,
    });
  },
  getEnterpriseIntegrityData(data) {
    return request({
      url: "/device-boot/LineIntegrityData/getEnterpriseIntegrityData",
      method: "post",
      data,
    });
  },
  getNodeOnlineRateData(data) {
    return request({
      url: "/device-boot/terminalOnlineRateData/getNodeOnlineRateData",
      method: "post",
      data,
    });
  },



  IntegrityIcon(data) {
    return request({
      // url: '/harmonic-boot/integrity/getIntegrityIcon',
      url: "/device-boot/LineIntegrityData/getIntegrityIcon",
      method: "post",
      data: data,
    });
  },
  getDeptIdAreaTree() {
    return request({
      url: "/system-boot/area/getDeptIdAreaTree",
      method: "post",
    });
  },
  getTerminalData(data) {
    return request({
      url: "/harmonic-boot/terminal/getTerminalData",
      method: "post",
      data: data,
    });
  },
  getLineLedger(data) {
    return request({
      url: "/device-boot/runManage/getLineLedger",
      method: "post",
      data: data,
    });
  },
  getTerminalDataCensus(data) {
    return request({
      url: "/harmonic-boot/terminal/getTerminalDataCensus",
      method: "post",
      data: data,
    });
  },
  getRuntimeData(data) {
    return request({
      url: "/device-boot/runManage/getRuntimeData",
      method: "post",
      data: data,
    });
  },
  getTHDistortionData(data) {
    return request({
      url: "/harmonic-boot/tHDistortion/getTHDistortionData",
      method: "post",
      data: data,
    });
  },
  getNodeTHDistortionData(data) {
    return request({
      url: "/harmonic-boot/tHDistortion/getNodeTHDistortionData",
      method: "post",
      data: data,
    });
  },
  getTHDistortionCensus(data) {
    return request({
      url: "/harmonic-boot/tHDistortion/getTHDistortionCensus",
      method: "post",
      data: data,
    });
  },
  getSteadyQualifyData(data) {
    return request({
      url: "/harmonic-boot/steadyQualify/getSteadyQualifyData",
      method: "post",
      data: data,
    });
  },
  getSteadyQualifyCensus(data) {
    return request({
      url: "/harmonic-boot/steadyQualify/getSteadyQualifyCensus",
      method: "post",
      data: data,
    });
  },
  getComAccessData(data) {
    return request({
      url: "/harmonic-boot/comAccess/getComAccessData",
      method: "post",
      data: data,
    });
  },
  getSteadyExceedRateData(data) {
    return request({
      url: "/harmonic-boot/steadyExceedRate/getSteadyExceedRateData",
      method: "post",
      data: data,
    });
  },
  getSteadyExceedRateCensus(data) {
    return request({
      url: "/harmonic-boot/steadyExceedRate/getSteadyExceedRateCensus",
      method: "post",
      data: data,
    });
  },
  getExportIntegrityData(data) {
    return request({
      url: "/harmonic-boot/integrity/exportIntegrityData",
      method: "post",
      data: data,
    });
  },
  getExportIntegrityDataExcel(data) {
    return request({
      url: "/harmonic-boot/integrity/exportIntegrityDataExcel?filePath=" + data,
      method: "get",
      //data:data
    });
  },
  getTransientAnalyseWave(data) {
    return request({
      url: "/event-boot/transient/getTransientAnalyseWave",
      method: "post",
      data: data,
    });
  },
  downloadWaveFile(data) {
    return request({
      url: "/event-boot/transient/downloadWaveFile",
      method: "post",
      data: data.lineId,
      responseType: "blob",
    });
  },
  getEnterpriseSteadyQualify(data) {
    return request({
      url: "/harmonic-boot/steadyQualify/getEnterpriseSteadyQualify",
      method: "post",
      data: data,
    });
  },
};
